'use strict';

exports.__esModule = true;

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _externalAttributeFilter = require('../../../util/externalAttributeFilter');

var _externalAttributeFilter2 = _interopRequireDefault(_externalAttributeFilter);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var TopNavContent = function TopNavContent(props) {
  var handledProps = (0, _externalAttributeFilter2['default'])(props);
  return _react2['default'].createElement(
    'div',
    (0, _extends3['default'])({}, handledProps, {
      className: (0, _classnames2['default'])('nav__main--' + props.align, handledProps.className) }),
    _react2['default'].createElement(
      'div',
      { className: 'nav__item ' + (props.align === 'right' ? 'nav__link' : '') },
      props.children
    )
  );
};

TopNavContent.defaultProps = {
  align: 'left'
};

TopNavContent.propTypes = {
  align: _propTypes2['default'].string
};

exports['default'] = TopNavContent;
module.exports = exports['default'];
//# sourceMappingURL=TopNavContent.js.map